User:Aelliku: Difference between revisions
No edit summary |
No edit summary |
||
Line 27: | Line 27: | ||
Õppekava vahetamise taotlemiseks esitab üliõpilane/ekstern hiljemalt 1 tööpäev enne semestri punase joone päeva IT Kolledži õppeosakonda rektori nimele vabas vormis kirjaliku avalduse. Õppekava vahetuse korral lisatakse avaldusele nimekiri õpisooritustest, mille arvestamist uue õppekava osana taotletakse. | Õppekava vahetamise taotlemiseks esitab üliõpilane/ekstern hiljemalt 1 tööpäev enne semestri punase joone päeva IT Kolledži õppeosakonda rektori nimele vabas vormis kirjaliku avalduse. Õppekava vahetuse korral lisatakse avaldusele nimekiri õpisooritustest, mille arvestamist uue õppekava osana taotletakse. | ||
=Skriptimiskeeled Quest 2= | |||
<source lang="bash"> | |||
#!/bin/bash | |||
# Author: Andres Elliku | |||
# Group: A21 | |||
#This script checks for open ports between ports 1 and 10 000, on a given IPv4 address. | |||
#The found open ports are then compared against a given list of port numbers inside a text file. | |||
#The given text file of port numbers must have 1 port number per line. | |||
#Ports are checked using the netcat tool. Because the scanned range is rather large, | |||
#the script might take some time to finish scanning. | |||
#The advantage of using netcat instead of nmap is that netcat is included in the system with almost all *nix systems. | |||
#The first argument to be passed must be the file name of given ports. | |||
#The second argument must be the IP address of the target machine. | |||
#Setting variables | |||
FAIL=$1 | |||
IP=$2 | |||
#Checking the number of passed arguments. | |||
if [ $# -ne 2 ]; then | |||
echo "Error... Usage: $0 filename IP" | |||
exit 3 | |||
fi | |||
#Function to check the validity of the passed IP address | |||
function valid_ip() | |||
{ | |||
local ip=$1 | |||
local stat=1 | |||
if [[ $ip =~ ^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$ ]]; then | |||
OIFS=$IFS | |||
IFS='.' | |||
ip=($ip) | |||
IFS=$OIFS | |||
[[ ${ip[0]} -le 255 && ${ip[1]} -le 255 \ | |||
&& ${ip[2]} -le 255 && ${ip[3]} -le 255 ]] | |||
stat=$? | |||
fi | |||
return $stat | |||
} | |||
#Checking the validity of the IP address, using the above function | |||
valid_ip $IP | |||
if [[ $? -eq 1 ]]; then | |||
echo "Error... given IP address is not valid." | |||
exit 4 | |||
fi | |||
#Scanning the ports of the target machine and writing the numbers of open ports in to a file. | |||
nc -z "$IP" 1-10000 | awk '/succeeded/ {print $4}' > list.txt | |||
#Sorting both files for easier comparison. | |||
sort -o "$FAIL" "$FAIL" | |||
sort -o list.txt list.txt | |||
#Simple comparison using the diff command. If the files match we're done. | |||
diff "$FAIL" list.txt > /dev/null | |||
diff_code=$? | |||
if [ $diff_code -eq 0 ] ; then | |||
echo "Ports on the list are open and all others are closed." | |||
exit 0 | |||
elif grep -q -v -f "$FAIL" list.txt ; then | |||
echo "Some ports not on the list are also open." | |||
exit 1 | |||
elif grep -q -v -f list.txt "$FAIL" ; then | |||
echo "Some ports on the list are not open." | |||
exit 2 | |||
else | |||
echo "Whoa. Something went terribly wrong." | |||
exit 5 | |||
fi | |||
</source> |
Revision as of 20:12, 7 February 2013
Erialatutvustuse aine arvestustöö
Autor: Andres Elliku
Esitamise kuupäev: 18. september 2011
Essee
Õpingukorraldus ja erialatutvustus
Essee eest punktid käes aktiivse osalemise eest loengutes.
Õpingukorralduse küsimused
Küsimus A
Kukkusid eksamil läbi. Kuidas edasi? Kaua on võimalik eksamit teha? Kellega kokkuleppida, et eksamit teha? Kuidas toimub järeleksamile registreerimine? Mis on tähtajad? Palju maksab, kui oled riigieelarvelisel (RE) kohal? Palju maksab, kui oled riigieelarvevälisel (REV) kohal?
Vastus
Eksamist läbi kukkumisel on tudengil õigus kahele kordussooritusele. Korduseksami õigus kehtib 2 semestri jooksul (vastava semestri lõpuni) pärast aine õpetamissemestri lõppu; kordusarvestuse õigus kehtib ülejärgmise semestri punase joone päevani. Korduseksamite tähtajad määrab ainet õpetav õppejõud kooskõlas õppeosakonnas koostatud soovitusliku ajakavaga. Korduseksam tuleb kokku leppida aine õppejõuga.Registreerida saab õppeosakonnas või e-posti teel . Minnes õppeosakonda registreeruma, peab olema kaasas maksekorraldus, et on tasutud kordussoorituse tasu mis aastal 2011/2012 on 13€. RE-kohtadel olevatel tudengitel on korduseksam tasuta. E-posti teel saates peab olema saadetud ka koopia maksekorraldusest. Korduseksamite tähtajad määrab ainet õpetav õppejõud kooskõlas õppeosakonnas koostatud soovitusliku ajakavaga.
Küsimus 3
Teisel või kolmandal õppeaastal avastad, et teine õppekava sobib paremini ja sa otsustad õppekava vahetada. Millised on tegevused ja mis ajaks need teha tuleb, et vahetada õppekava?
Vastus
Õppekava vahetamise taotlemiseks esitab üliõpilane/ekstern hiljemalt 1 tööpäev enne semestri punase joone päeva IT Kolledži õppeosakonda rektori nimele vabas vormis kirjaliku avalduse. Õppekava vahetuse korral lisatakse avaldusele nimekiri õpisooritustest, mille arvestamist uue õppekava osana taotletakse.
Skriptimiskeeled Quest 2
#!/bin/bash
# Author: Andres Elliku
# Group: A21
#This script checks for open ports between ports 1 and 10 000, on a given IPv4 address.
#The found open ports are then compared against a given list of port numbers inside a text file.
#The given text file of port numbers must have 1 port number per line.
#Ports are checked using the netcat tool. Because the scanned range is rather large,
#the script might take some time to finish scanning.
#The advantage of using netcat instead of nmap is that netcat is included in the system with almost all *nix systems.
#The first argument to be passed must be the file name of given ports.
#The second argument must be the IP address of the target machine.
#Setting variables
FAIL=$1
IP=$2
#Checking the number of passed arguments.
if [ $# -ne 2 ]; then
echo "Error... Usage: $0 filename IP"
exit 3
fi
#Function to check the validity of the passed IP address
function valid_ip()
{
local ip=$1
local stat=1
if [[ $ip =~ ^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$ ]]; then
OIFS=$IFS
IFS='.'
ip=($ip)
IFS=$OIFS
[[ ${ip[0]} -le 255 && ${ip[1]} -le 255 \
&& ${ip[2]} -le 255 && ${ip[3]} -le 255 ]]
stat=$?
fi
return $stat
}
#Checking the validity of the IP address, using the above function
valid_ip $IP
if [[ $? -eq 1 ]]; then
echo "Error... given IP address is not valid."
exit 4
fi
#Scanning the ports of the target machine and writing the numbers of open ports in to a file.
nc -z "$IP" 1-10000 | awk '/succeeded/ {print $4}' > list.txt
#Sorting both files for easier comparison.
sort -o "$FAIL" "$FAIL"
sort -o list.txt list.txt
#Simple comparison using the diff command. If the files match we're done.
diff "$FAIL" list.txt > /dev/null
diff_code=$?
if [ $diff_code -eq 0 ] ; then
echo "Ports on the list are open and all others are closed."
exit 0
elif grep -q -v -f "$FAIL" list.txt ; then
echo "Some ports not on the list are also open."
exit 1
elif grep -q -v -f list.txt "$FAIL" ; then
echo "Some ports on the list are not open."
exit 2
else
echo "Whoa. Something went terribly wrong."
exit 5
fi